Subject: Re: bug#24789: Changing console renders my system unresponsive

From: Petter <[email-masked]>
Date: Thu, 27 Oct 2016 10:59:12 +0200

Did you try using an external monitor connected with DisplayPort?

KMS Module in use (from /var/log/Xorg.0.log):
[    18.862] (II) intel(0): Using Kernel Mode Setting driver: i915, 
version 1.6.0 20160711

As for Xorg driver in use, I'm not sure where or how to find this out.

Grepping /var/log/Xorg.0.log for LoadModule in case that's helpful. If 
not, let me know how I can find it.
58:[    18.637] (II) LoadModule: "glx"
70:[    18.725] (II) LoadModule: "intel"
76:[    18.747] (II) LoadModule: "modesetting"
82:[    18.762] (II) LoadModule: "fbdev"
88:[    18.771] (II) LoadModule: "vesa"
109:[    18.864] (II) LoadModule: "fbdevhw"
145:[    18.885] (II) LoadModule: "dri2"
148:[    18.885] (II) LoadModule: "present"
190:[    19.050] (II) LoadModule: "libinput"

--
Petter

On 2016-10-26 14:30, [email-masked] wrote:
> Petter <[email-masked]> skribis:
> 
>> I'm having a pretty dramatic experience changing console,
>> f.ex. Ctrl+Alt+F4. My system becomes completely unresponsive. Even
>> Alt+SysRq+reisub is unable to persuade my system to perform a
>> gentlemans reboot. To recover I must do a hard reboot.
>> 
>> Bringing this up in #guix suggests it's not a common issue.
>> 
>> My setup is:
>> Libreboot X200
>> Docking station
>> External monitor connected to the docking station with DisplayPort.
>> XFCE
>> GuixSD (from git, last commit in my repo
>> c11933c920dd7b7cdf68e13e6b3718602129210a)
> 
> [...]
> 
>> I have no idea if this is really a Guix issue or not, maybe it's
>> Linux-libre?
> 
> I definitely don’t experience that on my laptop (not an X200).  Perhaps
> the KMS module and Xorg driver is at fault?  Which ones are in use?
> 
> (My laptop has an Intel graphics card, so i915.ko, though for some
> reason Xorg uses xf86-video-intel instead of “modesetting”.)
> 
> Ludo’.